summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Rosenstrauch2017-01-10 11:19:04 -0500
committerDavid Rosenstrauch2017-01-10 11:19:04 -0500
commita65c75a0272bdc0ddc0278161950134d1dbbe02b (patch)
tree60004f9682da242eb1f6bceb70e668b2ca750862
downloadaur-a65c75a0272bdc0ddc0278161950134d1dbbe02b.tar.gz
Initial commit
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD34
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1ecb2db370d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = eclipse-svnkit
+ pkgdesc = The only pure Java Subversion library in the world
+ pkgver = 1.8.14
+ pkgrel = 1
+ url = https://svnkit.com/index.html
+ arch = any
+ license = TMate
+ depends = eclipse
+ source = https://www.svnkit.com/org.tmatesoft.svn_1.8.14.eclipse.zip
+ md5sums = fbc0551445510d74e85f422886220e5f
+
+pkgname = eclipse-svnkit
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e3d2ae85f84
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer: David Rosenstrauch <darose@darose.net>
+
+pkgname=eclipse-svnkit
+pkgver=1.8.14
+pkgrel=1
+pkgdesc="The only pure Java Subversion library in the world"
+arch=('any')
+url="https://svnkit.com/index.html"
+license=('TMate')
+depends=('eclipse')
+source=(https://www.svnkit.com/org.tmatesoft.svn_$pkgver.eclipse.zip)
+md5sums=('fbc0551445510d74e85f422886220e5f')
+
+package() {
+ _dest=${pkgdir}/usr/lib/eclipse/dropins/${pkgname/eclipse-}/eclipse
+
+ cd ${srcdir}
+
+ # Features
+ find features -type f | while read _feature ; do
+ if [[ ${_feature} =~ (.*\.jar$) ]] ; then
+ install -dm755 ${_dest}/${_feature%*.jar}
+ cd ${_dest}/${_feature/.jar}
+ jar xf ${srcdir}/${_feature} || return 1
+ else
+ install -Dm644 ${_feature} ${_dest}/${_feature}
+ fi
+ done
+
+ # Plugins
+ find plugins -type f | while read _plugin ; do
+ install -Dm644 ${_plugin} ${_dest}/${_plugin}
+ done
+}